org.eclipse.viatra.query.runtime.matchers.tuple

## Class LeftInheritanceTuple

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple
  - - org.eclipse.viatra.query.runtime.matchers.tuple.Tuple
    - - org.eclipse.viatra.query.runtime.matchers.tuple.BaseLeftInheritanceTuple
      - - org.eclipse.viatra.query.runtime.matchers.tuple.LeftInheritanceTuple

- All Implemented Interfaces:
    ITuple

      public final class LeftInheritanceTuple
      extends BaseLeftInheritanceTuple

  Tuple that inherits another tuple on the left.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.BaseLeftInheritanceTuple

      `ancestor, inheritedIndex`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.Tuple

      `cachedHash`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get(int index)`
    `int` | `getLocalSize()`
    `int` | `getSize()`
    `protected boolean` | `localEquals(BaseLeftInheritanceTuple other)` Optimized equals calculation (prediction: true, since hash values match)

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.BaseLeftInheritanceTuple

      `internalEquals`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.Tuple

      `equals, hashCode, replaceAll, toImmutable`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple

      `doCalcHash, getDistinctElements, getElements, invertIndex, invertIndexWithMupliplicity, raiseIndexingError, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSize

          public int getSize()

      Returns:
        number of elements

    - #### getLocalSize

          public int getLocalSize()

      Specified by:
        `getLocalSize` in class `BaseLeftInheritanceTuple`
      Returns:
        the number of local (non-inherited) elements

    - #### get

          public java.lang.Object get(int index)

      Returns:
        the element at the specified index

    - #### localEquals

          protected boolean localEquals(BaseLeftInheritanceTuple other)

      Optimized equals calculation (prediction: true, since hash values match)
      Specified by:
        `localEquals` in class `BaseLeftInheritanceTuple`